<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <TextView
        android:id="@+id/tv_name"
        android:layout_width="0dp"
        android:layout_height="@dimen/dp_46"
        android:layout_marginStart="@dimen/dp_16"
        android:gravity="center_vertical"
        android:text="全国地区"
        android:textColor="@color/color_222222"
        android:textSize="@dimen/sp_14"
        app:layout_constraintEnd_toStartOf="@id/tv_check_all"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_check_all"
        android:layout_width="wrap_content"
        android:layout_height="@dimen/dp_46"
        android:layout_marginEnd="@dimen/dp_16"
        android:drawableStart="@mipmap/ic_check_true"
        android:drawablePadding="@dimen/dp_6"
        android:gravity="center"
        android:text="全部"
        android:textColor="@color/color_1a1a1a"
        android:textSize="@dimen/sp_14"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_city"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_16"
        android:layout_marginEnd="@dimen/dp_16"
        android:overScrollMode="never"
        app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
        app:layout_constraintTop_toBottomOf="@id/tv_name"
        app:spanCount="2"
        tool:itemCount="2"
        tool:listitem="@layout/listitem_guide_city" />
</androidx.constraintlayout.widget.ConstraintLayout>